Skip to main content

GET /api/ens/cost/{name}

ENS registration cost

GET cost data from ens service

Endpoint​

GET https://api.web3identity.com/api/ens/cost/{name}

Parameters​

NameInTypeRequiredDescription
namepathstringâś…ENS name or identifier

Example Request​

curl -s "https://api.web3identity.com/api/ens/cost/:name" | jq

Responses​

200 Success​

{
"name": "example.eth",
"registrationCost": {
"wei": "5000000000000000",
"eth": "0.005",
"usd": 16.23
},
"renewalCost": {
"wei": "5000000000000000",
"eth": "0.005",
"usd": 16.23
},
"duration": 31536000
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required​

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec